import type { CoreEventMap, Data } from '@idraw/types';
import { middlewareEventRuler, middlewareEventScale, middlewareEventSelect, middlewareEventSelectClear, middlewareEventTextEdit, middlewareEventTextChange } from '@idraw/core';
declare const idrawEventChange = "change";
export type IDrawEvent = CoreEventMap & {
    change: {
        data: Data;
        type: 'updateElement' | 'deleteElement' | 'moveElement' | 'addElement' | 'dragElement' | 'resizeElement' | 'setData' | 'undo' | 'redo' | 'other';
    };
};
export interface IDrawEventKeys {
    change: typeof idrawEventChange;
    ruler: typeof middlewareEventRuler;
    scale: typeof middlewareEventScale;
    select: typeof middlewareEventSelect;
    clearSelect: typeof middlewareEventSelectClear;
    textEdit: typeof middlewareEventTextEdit;
    textChange: typeof middlewareEventTextChange;
}
declare const eventKeys: IDrawEventKeys;
export { eventKeys };
